Subject: skge performance sensitivity (WAS: Bonding gigabit and fast?)

From: "Tvrtko A. Ursulin" <[email-masked]>
Date: Wed, 17 Dec 2008 20:18:55 +0000

On Tuesday 16 December 2008 20:37:47 Chris Snook wrote:

[snip]
> The real problem is that you get such lousy performance in unbonded gigabit
> mode.  Try oprofiling it to see where it's spending all that time.

Ha! Since I have put vanilla 2.6.27.9 on the server yesterday, but compiled it 
with distro configuration, I decided to try a minimal "optimised" config for 
this machine today.

With a reconfigured and recompiled kernel skge outbound performance went from 
13 Mb/s to 17 Mb/s so it seems there was something in there which was really 
hampering it.

Kernel configs are radically different so I am not sure if there is any point 
in sending them here? And I am also not sure if I will be able to spend any 
more time trying to pinpoint which config option was to blame. But if I will 
I will of course report my findings.

Tvrtko